var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { makeStyles } from '@mui/styles';
import { POPUP_Z_INDEX } from '../../../constants';
export var customStyles = {
    input: function (currentStyles) { return (__assign(__assign({}, currentStyles), { fontSize: '14px' })); },
    menuPortal: function (currentStyles) { return (__assign(__assign({}, currentStyles), { zIndex: POPUP_Z_INDEX })); }
};
export var useStyles = makeStyles({
    root: {
        flex: 1
    },
    title: {
        paddingBottom: '10px',
        paddingLeft: '5px',
        fontSize: '14px'
    },
    dropDownInput: {
        width: '100%',
        justifyContent: 'center',
        backgroundColor: 'rgba(0, 0, 0, 0.03)',
        borderTop: '4px'
    },
    valueContainer: {
        overflowY: 'auto',
        height: 44
    },
    option: {
        fontSize: '14px',
        height: '32px'
    }
});
